Package org.bukkit.material

# Class CocoaPlant

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.CocoaPlant

All Implemented Interfaces:
  `Cloneable`, `Attachable`, `Directional`

@Deprecated public class CocoaPlant extends MaterialData implements Directional, Attachable
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents the cocoa plant

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`CocoaPlant.CocoaPlantSize`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`CocoaPlant()`
Deprecated.
`CocoaPlant(CocoaPlant.CocoaPlantSize sz)`
Deprecated.
`CocoaPlant(CocoaPlant.CocoaPlantSize sz, BlockFace dir)`
Deprecated.
`CocoaPlant(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`CocoaPlant`
`clone()`
Deprecated.
`BlockFace`
`getAttachedFace()`
Deprecated.
Gets the face that this block is attached on
`BlockFace`
`getFacing()`
Deprecated.
Gets the direction this block is facing
`CocoaPlant.CocoaPlantSize`
`getSize()`
Deprecated.
Get size of plant
`void`
`setFacingDirection(BlockFace face)`
Deprecated.
Sets the direction that this block is facing in
`void`
`setSize(CocoaPlant.CocoaPlantSize sz)`
Deprecated.
Set size of plant
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CocoaPlant

public CocoaPlant()
Deprecated.

### CocoaPlant

@Deprecated public CocoaPlant(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

### CocoaPlant

public CocoaPlant(CocoaPlant.CocoaPlantSize sz)
Deprecated.

### CocoaPlant

public CocoaPlant(CocoaPlant.CocoaPlantSize sz, BlockFace dir)
Deprecated.

## Method Details

### getSize

public CocoaPlant.CocoaPlantSize getSize()
Deprecated.
Get size of plant

Returns:
  size

### setSize

public void setSize(CocoaPlant.CocoaPlantSize sz)
Deprecated.
Set size of plant

Parameters:
  `sz` - - size of plant

### getAttachedFace

public BlockFace getAttachedFace()
Deprecated.
Description copied from interface: `Attachable`
Gets the face that this block is attached on

Specified by:
  `getAttachedFace` in interface `Attachable`
Returns:
  BlockFace attached to

### setFacingDirection

public void setFacingDirection(BlockFace face)
Deprecated.
Description copied from interface: `Directional`
Sets the direction that this block is facing in

Specified by:
  `setFacingDirection` in interface `Directional`
Parameters:
  `face` - The facing direction

### getFacing

public BlockFace getFacing()
Deprecated.
Description copied from interface: `Directional`
Gets the direction this block is facing

Specified by:
  `getFacing` in interface `Directional`
Returns:
  the direction this block is facing

### clone

public CocoaPlant clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`